<?php
require_once __DIR__ . "./../../config.php";
header("Content-type: application/vnd-ms-excel");
header("Content-Disposition: attachment; filename=auction_data-" . date('Ymd') . ".xls");
?>
<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Bootstrap demo</title>
  <style type="text/css">
    body {
      font-family: sans-serif;
    }

    table {
      margin: 20px auto;
      border-collapse: collapse;
    }

    table th,
    table td {
      border: 1px solid #3c3c3c;
      padding: 3px 8px;

    }

    a {
      background: blue;
      color: #fff;
      padding: 8px 10px;
      text-decoration: none;
      border-radius: 2px;
    }
  </style>
</head>

<body>
  <div>
    <span>Generated by </span><a href="<?= SITE_BASE_URL ?>">www.<?= SITE_NAME  ?>.com</a>
    <table class="table table-bordered text-nowrap" border="1">
      <thead>
        <tr>
          <th scope="col">#</th>
          <th scope="col">Product</th>
          <th scope="col">Description</th>
          <th scope="col">Start Date</th>
          <th scope="col">Due Date</th>
          <th scope="col">Budget</th>
          <th scope="col">Final price</th>
          <th scope="col">Status</th>
        </tr>
      </thead>
      <tbody>
        <?php if (count($model['products']) > 0) : ?>
          <?php $no = 1; ?>
          <?php foreach ($model['products'] as $key => $row) : ?>
            <?php
            $startDate = new DateTime($row['tgl_dibuka']);
            $dueDate = new DateTime($row['tgl_ditutup']);
            $price = number_format((int) $row['harga_awal'], 2, ",", ".");
            $finalPrice = number_format((int) $row['harga_akhir'], 2, ",", ".");
            ?>
            <tr>
              <td><?= $no++ ?></td>
              <td><?= $row['nama_barang']; ?></td>
              <td><?= $row['deskripsi_barang']; ?></td>
              <td><?= $startDate->format('d/m/Y')  ?></td>
              <td><?= $dueDate->format('d/m/y');  ?></td>
              <td>Rp <?= $price; ?> </td>
              <td>Rp <?= $finalPrice; ?> </td>
              <td><?= $row['status']; ?></td>
            </tr>
          <?php endforeach; ?>
        <?php endif; ?>
      </tbody>
    </table>
  </div>
</body>

</html>